unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,

  URIParser;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    myuri: TURI;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Memo1.Clear;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  myuri := ParseURI(Edit1.Text);
  Memo1.Lines.Add('Protocol :' + myuri.Protocol);
  Memo1.Lines.Add('Username :' + myuri.Username);
  Memo1.Lines.Add('Password :' + myuri.Password);
  Memo1.Lines.Add('Host     :' + myuri.Host);
  Memo1.Lines.Add('Path     :' + myuri.Path);
  Memo1.Lines.Add('Document :' + myuri.Document);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Edit2.Text := EncodeURI(myuri);
end;

end.

